version: 1
disable_existing_loggers: false

filters:
  request_path_filter:
    (): itk_demo_configdb.logging_filter.RequestPathFilter

formatters:
  default:
    "()": uvicorn.logging.DefaultFormatter
    fmt: '%(levelprefix)s %(message)s'
    use_colors: true

handlers:
  default:
    formatter: default
    class: logging.StreamHandler
    stream: ext://sys.stdout
    filters:
      - request_path_filter

loggers:
  uvicorn:
    handlers:
      - default
    level: INFO
    propagate: false 
  uvicorn.error:
    handlers:
      - default 
    level: INFO
    propagate: false 
  uvicorn.access:
    handlers:
      - default
    level: INFO
    propagate: false
    
root:
  handlers:
    - default
  level: INFO